Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 818730 - Review Request: rubywarrior - Game written in Ruby for learning Ruby and artificial intelligence
Summary: Review Request: rubywarrior - Game written in Ruby for learning Ruby and arti...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-03 20:00 UTC by Jon Chiappetta
Modified: 2015-12-04 04:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 04:22:57 UTC


Attachments (Terms of Use)

Description Jon Chiappetta 2012-05-03 20:00:38 UTC
Spec URL: http://142.204.133.82/pkg/rubywarrior.spec
SRPM URL: http://142.204.133.82/pkg/rubywarrior-0.1.2-2.fc17.src.rpm

Description: 

You play as a warrior climbing a tall tower. On each floor you need to
write a Ruby script to instruct the warrior to do certain tasks.

Comment 1 Chris Tyler 2012-05-04 20:31:06 UTC
Informal review while we await a sponsor...

N    MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]

*** Please post rpmlint output.

Y    MUST: The package must be named according to the Package Naming Guidelines .
Y    MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
Y    MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
N    MUST: The License field in the package spec file must match the actual license. [3]

*** The license on github is MIT, the spec file says GPLv3

Y    MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
Y    MUST: The spec file must be written in American English. [5]
Y    MUST: The spec file for the package MUST be legible. [6]
N    MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

*** The Source0: field should point to a reliable upstream URL - the one in the spec file cannot be retrieved. To get a specific commit, use something like https://github.com/ryanb/ruby-warrior/tarball/94dc735 (for commit 94dc735)
*** Additions to the source should be in other files, e.g., Source1: waterbear.desktop

...stop. Fix these up and I'll restart the review.

Comment 2 Jon Chiappetta 2012-05-10 20:39:59 UTC
Below are new source RPMs of rubywarrior with rpmlint output:

Spec URL: http://142.204.133.82/pkg/rubywarrior.spec
SRPM URL: http://142.204.133.82/pkg/rubywarrior-0.1.2-3.fc17.src.rpm

$ rpmlint rubywarrior-0.1.2-3.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Jason Tibbitts 2013-05-19 23:25:26 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

URLs above are 404.

Comment 4 James Hogarth 2015-12-04 04:22:57 UTC
Since there has been no response from the requester to the needs info in over a year closing this ticket as per the stalled review policy.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.